# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PresentationLayerAssignment Class Reference

`#include <StepVisual_PresentationLayerAssignment.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_PresentationLayerAssignment ()
| Returns a PresentationLayerAssignment .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepVisual_HArray1OfLayeredItem)&aAssignedItems)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT void | SetAssignedItems (const Handle(StepVisual_HArray1OfLayeredItem)&aAssignedItems)
Standard_EXPORT Handle_StepVisual_HArray1OfLayeredItem | AssignedItems () const
Standard_EXPORT StepVisual_LayeredItem | AssignedItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbAssignedItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name
Handle_TCollection_HAsciiString | description
Handle_StepVisual_HArray1OfLayeredItem | assignedItems

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PresentationLayerAssignment::StepVisual_PresentationLayerAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepVisual_HArray1OfLayeredItem StepVisual_PresentationLayerAssignment::AssignedItems | ( |  | ) | const

Standard_EXPORT StepVisual_LayeredItem StepVisual_PresentationLayerAssignment::AssignedItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepVisual_PresentationLayerAssignment::Description | ( |  | ) | const

Standard_EXPORT const StepVisual_PresentationLayerAssignment::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_PresentationLayerAssignment::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepVisual_HArray1OfLayeredItem)& | aAssignedItems
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepVisual_PresentationLayerAssignment::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer StepVisual_PresentationLayerAssignment::NbAssignedItems | ( |  | ) | const

Standard_EXPORT void StepVisual_PresentationLayerAssignment::SetAssignedItems | ( | const Handle(StepVisual_HArray1OfLayeredItem)& | aAssignedItems | ) |

Standard_EXPORT void StepVisual_PresentationLayerAssignment::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepVisual_PresentationLayerAssignment::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_StepVisual_HArray1OfLayeredItem StepVisual_PresentationLayerAssignment::assignedItems `[private]`

Handle_TCollection_HAsciiString StepVisual_PresentationLayerAssignment::description `[private]`

Handle_TCollection_HAsciiString StepVisual_PresentationLayerAssignment::name `[private]`

The documentation for this class was generated from the following file:

- StepVisual_PresentationLayerAssignment.hxx